#!/usr/bin/env ruby

require 'logger'

require_relative 'lib/config.rb'

# Load configuration
conf = Config.new(File.join(__dir__, 'data/defaults.yaml'))

# Initialize logging
logger = Logger.new(STDOUT)
logger.level = Logger::INFO

# Main program loop
while true
  # Let the user know something is going on
  logger.info('Checking for new social media posts to make public...')

  # Wait for the specified wait period
  sleep(conf.get('vulture.run_interval') * 60)
end
